ARG BASE_IMAGE_REPOSITORY
ARG BASE_IMAGE_TAG
FROM $BASE_IMAGE_REPOSITORY:$BASE_IMAGE_TAG
  ARG OS_PKG_INSTALL
  ARG OS_PKG_UPDATE
  ARG OS_PKG_PURGE
  ARG PKG_BUILD
  ARG PKG_LIBSSL
  ARG PKG_SECCOMP
  ARG APP_RUNDIR=/opt/app
  ARG APP_PKIDIR=$APP_RUNDIR/pki
  ARG APP_LIBDIR=$APP_RUNDIR/lib
  ARG APP_TMPDIR=/tmp
  ARG APP_VARDIR=/var/lib/app
  ARG RUNTIME_UID=1000
  ARG RUNTIME_USR=drone
  ARG RUNTIME_GID=1000
  ARG RUNTIME_GRP=drones
  ARG RUNTIME_HOME=/home/drone
  RUN $OS_PKG_UPDATE || $OS_PKG_UPDATE
  RUN $OS_PKG_INSTALL $PKG_BUILD
  RUN $OS_PKG_INSTALL\
    $PKG_LIBSSL
  RUN $OS_PKG_PURGE $PKG_BUILD

  # Create the default user with an UID/GID
  # of 1000, so our other infrastructure can
  # make predictions about it.
  RUN mkdir -p $RUNTIME_HOME
  RUN chown $RUNTIME_UID:$RUNTIME_GID $RUNTIME_HOME
  RUN groupadd -g $RUNTIME_GID $RUNTIME_GRP
  RUN useradd -d "$RUNTIME_HOME" -u $RUNTIME_UID -g $RUNTIME_GID\
    -m -s /bin/bash $RUNTIME_USR
  RUN mkdir -p $APP_RUNDIR && chown $RUNTIME_UID:$RUNTIME_GID $APP_RUNDIR
  RUN mkdir -p $APP_LIBDIR && chown $RUNTIME_UID:$RUNTIME_GID $APP_LIBDIR
  RUN mkdir -p $APP_PKIDIR && chown $RUNTIME_UID:$RUNTIME_GID $APP_PKIDIR
  RUN mkdir -p $APP_TMPDIR && chown $RUNTIME_UID:$RUNTIME_GID $APP_TMPDIR
  RUN mkdir -p $APP_VARDIR && chown $RUNTIME_UID:$RUNTIME_GID $APP_VARDIR

  USER $RUNTIME_USR
  WORKDIR /opt/app
  ENV APP_PKIDIR $APP_PKIDIR
  ENV APP_RUNDIR $APP_RUNDIR
  ENV APP_LIBDIR $APP_LIBDIR
  ENV APP_TMPDIR $APP_TMPDIR
  ENV APP_VARDIR $APP_VARDIR
  ENV PYTHONPATH $APP_LIBDIR
  RUN mkdir $APP_PKIDIR/server
